import type { PlatformSpec } from 'react-native-nitro-modules';
import type { InterfaceDeclaration, Type } from 'ts-morph';
export type Platform = keyof Required<PlatformSpec>;
export type Language = Required<PlatformSpec>[keyof PlatformSpec];
export declare function isDirectlyHybridObject(type: Type): boolean;
export declare function extendsHybridObject(type: Type, recursive: boolean): boolean;
/**
 * If the given interface ({@linkcode module}) extends `HybridObject`,
 * this method returns the platforms it exists on.
 * If it doesn't extend `HybridObject`, this returns `undefined`.
 */
export declare function getHybridObjectPlatforms(module: InterfaceDeclaration): PlatformSpec | undefined;
