import type { Language } from '../../getPlatformSpecs.js';
import type { SourceFile, SourceImport } from '../SourceFile.js';
import type { NamedType, Type, TypeKind } from './Type.js';
export declare class NamedWrappingType<T extends Type> implements NamedType {
    readonly type: T;
    readonly name: string;
    constructor(name: string, type: T);
    get escapedName(): string;
    get kind(): TypeKind;
    get canBePassedByReference(): boolean;
    getCode(language: Language): string;
    getExtraFiles(): SourceFile[];
    getRequiredImports(): SourceImport[];
}
