export class NullType {
    get canBePassedByReference() {
        // It's a primitive.
        return false;
    }
    get kind() {
        return 'null';
    }
    getCode(language) {
        switch (language) {
            case 'c++':
                return 'std::nullptr_t';
            default:
                throw new Error(`Language ${language} is not yet supported for NullType!`);
        }
    }
    getExtraFiles() {
        return [];
    }
    getRequiredImports() {
        return [];
    }
}
