import type { Language } from '../../getPlatformSpecs.js';
import { type FileWithReferencedTypes, type SourceFile, type SourceImport } from '../SourceFile.js';
import type { NamedType, Type, TypeKind } from './Type.js';
export declare class StructType implements Type {
    readonly structName: string;
    readonly properties: NamedType[];
    readonly declarationFile: FileWithReferencedTypes;
    constructor(structName: string, properties: NamedType[]);
    get canBePassedByReference(): boolean;
    get kind(): TypeKind;
    getCode(language: Language): string;
    getExtraFiles(): SourceFile[];
    getRequiredImports(): SourceImport[];
}
